<?php
  include_once('background.php');
  include_once('htmlfuncs.php');
  include_once(SmartyClass());  
  
  function CurrentPage($Start, $MaxPerPage)
  {
    $CurrentPage = floor($Start / $MaxPerPage) + 1;
    
    return $CurrentPage;
  }
  
  function MinPage($CurrentPage, $Start, $Total, $MaxPerPage)
  {
    $MinPage = $CurrentPage - PageSpread();
    if ($MinPage < 1)
    {
      $MinPage = 1;
    }
    
    return $MinPage;
  }
  
  function MaxPage($CurrentPage, $Start, $Total, $MaxPerPage)
  {
    if ($Start + PageSpread() >= $Total)
    {
      $MaxPage = $CurrentPage;
    }
    else
    {
      $MaxPage = ceil($Total / $MaxPerPage);
      if ($MaxPage - PageSpread() >= $CurrentPage)
      {
        $MaxPage = $CurrentPage + PageSpread();
      }
    }
    return $MaxPage + 1;
  }  
  
  function PageMenu($Query, $Site, $Start, $Total, $MaxPerPage)
  {
    $CurrentPage = CurrentPage($Start, $MaxPerPage);

    $Site = GetParam("Site", "");
    
    $MinPage = MinPage($CurrentPage, $Start, $Total, $MaxPerPage);
    $MaxPage = MaxPage($CurrentPage, $Start, $Total, $MaxPerPage);
        
    for ($i = $MinPage; $i < $MaxPage; $i++)
    {
      $PageNumber[$i-1] = $i;
      $Page[$i-1]       = "index.php?Query=".$Query."&Site=".$Site."&Start=".(($i-1)*$MaxPerPage);
    }
    
    //return $Result;
    $PageMenuTemplate = new Smarty;
    $PageMenuTemplate->compile_dir = SmartyCompileDir();
    $PageMenuTemplate->Assign('NumPages', $i + 1);
    $PageMenuTemplate->Assign('Page', $Page);
    $PageMenuTemplate->Assign('PageNumber', $PageNumber);
   
    return $PageMenuTemplate->fetch('pagemenu.tpl.htm');
  }
?>